Miracle Docs
Terminals

Update a terminal

PATCH
/v1/admin/terminals/{id}
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://api.miracle.com/v1/admin/terminals/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
    "providerIntegrationId": "1b36e55e-c85f-4d22-9a3b-42fbcd7cc751",
    "name": "string",
    "direction": "payin",
    "status": "active",
    "credentialRef": "string",
    "providerCostScheduleId": "4d23b41b-eae3-41ab-a8bf-0fe56c8abb7b",
    "supportedCurrencies": [
      "string"
    ],
    "supportedPaymentMethodTypes": [
      "card"
    ],
    "supportedBrands": [
      "string"
    ],
    "mcc": "string",
    "descriptor": "string",
    "threeDsConfig": {
      "enabled": true,
      "executionModel": "gateway_full",
      "mpiAccounts": [
        {
          "brand": "string",
          "enabled": true,
          "merchantName": "string",
          "merchantId": "string",
          "merchantCountry": "string",
          "acquirerBin": "string",
          "mcc": "string",
          "preferredVersion": "1.0"
        }
      ],
      "rules": {
        "processOnly3dsCards": true,
        "declineOnAttemptStatus": true,
        "allowMerchantDisable": true
      }
    },
    "createdAt": "string",
    "updatedAt": "string",
    "deletedAt": null
  }
}
Empty
Empty
Empty

On this page